--
-- The simplest of demos
--

import "Turbine.UI";
import "Turbine.UI.Lotro";
import "Deusdictum.UI";

DBDemoWindowOne = class( Turbine.UI.Window );

function DBDemoWindowOne:Constructor( )
	Turbine.UI.Window.Constructor( self );

	self:SetSize( math.random() * 100 + 200, math.random() * 100 + 50 );
	self:SetPosition( ( Turbine.UI.Display:GetWidth() - 250 ) / 3, ( Turbine.UI.Display:GetHeight() - 250 ) / 3 );
	math.randomseed( Turbine.Engine.GetLocalTime() );
	self:SetBackColor( Turbine.UI.Color( math.random(), math.random(), math.random() ) );
	self:SetText( "Demo Window" );
	self.DragBar = Deusdictum.UI.DragBar( self, "DragBar Demo Window" );
	self.DragBar:SetBarOnTop( true );
	self.DragBar:SetRotator( true );
	self.DragBar:SetRotatorOffset(0, 19);

	self:SetOpacity( math.random() * 3 / 4 + 0.25 );
	self:SetVisible( true );

end

function DBDemoWindowOne:Rotate( args )
	local y, x = self:GetSize();
	self:SetSize(x, y);
	self.DragBar:RecalculateSize();
end
